// multicompartment gillespie direct method (growth and division) class definitions
// copyright 2008, 2009 jamie twycross, jpt AT cs.nott.ac.uk
// released under GNU GPL version 3

#ifndef MULTICOMPARTMENTGILLESPIEGD_H
#define MULTICOMPARTMENTGILLESPIEGD_H

#include "Psystem.h"

namespace Simulation {

// gillespie direct method
class MulticompartmentGillespieGD : public SimulationAlgorithm {
	public:
		// constructor
		MulticompartmentGillespieGD(const unsigned long seed = 0);

		// perform one iteration of algorithm for all compartments
		int execute(void);

		// perform one iteration of algorithm for one compartment
		void execute(unsigned long);

		// initialise algorithm
		int preprocess(void);
};

}

#endif
