#!/bin/sh
# tissue p-system simulator
# discrete stochastic models test suite tests
# copyright 2008, 2009 jamie twycross, jpt AT cs.nott.ac.uk
# released under GNU GPL version 3

model=$1
runs=$2
simalg=$3

rm -f $model.mcss.$simalg.pdf
echo "source(\"test-simulation-batch.R\");testmodel(\"$model\",n=$runs,verb=FALSE,plot=TRUE,simalg=\"$simalg\");" |
R --vanilla --quiet |
egrep '^\[1\]' |
cut -f 2- -d ' ' |
sed 's/"//g' > $model.mcss.$simalg.results 
rm -f run.out $model.mcss.h5
mv $model.mcss.pdf $model.mcss.$simalg.pdf
